|
From: <sag...@us...> - 2010-05-30 20:42:40
|
Revision: 611
http://modplug.svn.sourceforge.net/modplug/?rev=611&view=rev
Author: saga-games
Date: 2010-05-30 20:42:33 +0000 (Sun, 30 May 2010)
Log Message:
-----------
Updated muParser files to most recent version. Still unused...
Modified Paths:
--------------
trunk/OpenMPT/muParser/build/autoconf/aclocal.m4
trunk/OpenMPT/muParser/build/autoconf/acregen.sh
trunk/OpenMPT/muParser/build/autoconf/autoconf_inc.m4
trunk/OpenMPT/muParser/build/autoconf/configure.ac
trunk/OpenMPT/muParser/build/makefile.bcc
trunk/OpenMPT/muParser/build/makefile.mingw
trunk/OpenMPT/muParser/build/makefile.vc
trunk/OpenMPT/muParser/build/makefile.wat
trunk/OpenMPT/muParser/include/muParser.h
trunk/OpenMPT/muParser/include/muParserBase.h
trunk/OpenMPT/muParser/include/muParserBytecode.h
trunk/OpenMPT/muParser/include/muParserComplex.h
trunk/OpenMPT/muParser/include/muParserDef.h
trunk/OpenMPT/muParser/include/muParserFixes.h
trunk/OpenMPT/muParser/include/muParserTest.h
trunk/OpenMPT/muParser/src/muParser.cpp
trunk/OpenMPT/muParser/src/muParserBase.cpp
trunk/OpenMPT/muParser/src/muParserBytecode.cpp
trunk/OpenMPT/muParser/src/muParserComplex.cpp
trunk/OpenMPT/muParser/src/muParserError.cpp
trunk/OpenMPT/muParser/src/muParserInt.cpp
trunk/OpenMPT/muParser/src/muParserTest.cpp
trunk/OpenMPT/muParser/src/muParserTokenReader.cpp
Added Paths:
-----------
trunk/OpenMPT/muParser/Changes.txt
trunk/OpenMPT/muParser/Credits.txt
trunk/OpenMPT/muParser/Install.txt
trunk/OpenMPT/muParser/build/msvc2003/
trunk/OpenMPT/muParser/build/msvc2003/muparser_muParser.vcproj
trunk/OpenMPT/muParser/build/msvc2005/
trunk/OpenMPT/muParser/build/msvc2005/muparser_muParser.vcproj
trunk/OpenMPT/muParser/build/msvc2008/
trunk/OpenMPT/muParser/build/msvc2008/muparser_muParser.vcproj
Removed Paths:
-------------
trunk/OpenMPT/muParser/Makefile.in
trunk/OpenMPT/muParser/build/msvc8/
trunk/OpenMPT/muParser/build/msvc9/
trunk/OpenMPT/muParser/configure
Added: trunk/OpenMPT/muParser/Changes.txt
===================================================================
--- trunk/OpenMPT/muParser/Changes.txt (rev 0)
+++ trunk/OpenMPT/muParser/Changes.txt 2010-05-30 20:42:33 UTC (rev 611)
@@ -0,0 +1,354 @@
+
+ __________
+ _____ __ __\______ \_____ _______ ______ ____ _______
+ / \ | | \| ___/\__ \ \_ __ \/ ___/_/ __ \\_ __ \
+ | Y Y \| | /| | / __ \_| | \/\___ \ \ ___/ | | \/
+ |__|_| /|____/ |____| (____ /|__| /____ > \___ >|__|
+ \/ \/ \/ \/
+
+ Copyright (C) 2010
+ Ingo Berg
+
+History:
+--------
+
+Rev 1.00 : July 21 2004
+-----------------------
+
+ * Initial release
+
+
+Rev 1.01 : July 23 2004
+-----------------------
+
+ * Support for user defined functions has been added; new functions: AddFun(), ClearFun(),
+ InitFunctions().
+ * Built in constants have been removed; the parser contained undocumented built in
+ constants pi, e.
+ There was the possibility of name conflicts with user defined variables.
+ * Setting multiple variables with SetVar can now be done with a map of names and pointers as the only
+ argument. For this reason, a new type Parser::varmap_type was added. The old version that took 3
+ arguments (array of names, array of pointers, and array length) is now marked as deprecated.
+ * The names of logarithm functions have changed. The new names are: log2 for base 2, log10 or log for
+ base 10, and ln for base e.
+
+
+Rev 1.02 : July 30 2004
+-----------------------
+
+ * Support for user defined constants added; new functions: InitConst(), AddConst(), SetConst(),
+ ClearConst().
+ * Single variables can now be added using AddVar(); you have now the choice of adding them either
+ one by one or all at the same time using SetVar(const varmap_type &a_vVar).
+ * Internal handling of variables changed, is now similar to function handling.
+ * Virtual destructor added; InitFun(), InitConst() are now virtual too thus making it possible to
+ derive new parsers with a modified set of default functions and constants.
+ * Support for user defined functions with 2 or 3 parameters added; bytecode format changed to hold
+ function parameter count.
+
+
+Rev 1.03 : August 10 2004
+-------------------------
+
+ * Support for user-defined unary post value operators added; new functions: AddPostOp(), InitPostOp(),
+ ClearPostOp().
+ * Minor changes to the bytecode parsing routine.
+ * User defined functions can now have up to four parameters.
+ * Performance optimized: simple formula optimization added; (precalculation of constant parts of the
+ expression).
+ * Bug fixes: Multi-arg function parameters, constant name lookup, unary minus did not work correctly.
+
+
+Rev 1.04 : August 16 2004
+-------------------------
+
+ * Support for functions with variable number of arguments added.
+ * Internal structure changed; new: ParserBase.h, ParserBase.cpp; removed: ParserException.h;
+ changed: Parser.h, Parser.cpp.
+ * Bug in the bytecode calculation function fixed (affected the unary minus operator).
+ * Optimizer can be deactivated; new function: EnableOptimizer(bool bStat).
+
+
+Rev 1.05 : August 20 2004
+-------------------------
+
+ * Variable/constant names will now be checked for invalid characters.
+ * Querying the names of all variables used in an expression is now possible; new function: GetUsedVar().
+ * Disabling bytecode parsing is now possible; new function: EnableByteCode(bool bStat).
+ * Predefined functions with variable number of arguments added: sum, avg, min, max.
+ * Unary prefix operators added; new functions: AddPrefixOp(...), ClearPrefixOp().
+ * Postfix operator interface names changed; new function names: AddPostfixOp(...), ClearPostfixOp().
+ * Hardcoded sign operators removed in favor of prefix operators; bytecode format changed accordingly.
+ * Internal changes: static array removed in Command code calculation routine; misc. changes.
+
+
+Rev 1.06 : August 20 2004
+-------------------------
+
+ * Volatile functions added; All overloaded AddFun(...) functions can now take a third parameter
+ indicating that the function can not be optimized.
+ * Internal changes: muParserStack.h simplified; refactorings
+ * Parser is now distributed under the MIT License; all comments changed accordingly.
+
+
+Rev 1.07 : September 4 2004
+---------------------------
+
+ * Improved portability; Changes to make life for MSVC 6 user easier, there are probably still some
+ issues left.
+ * Improved portability; Changes in order to allow compiling on BCB.
+ * New function; value_type Diff(value_type *a_Var, value_type a_fPos) 4th order Differentiation with
+ respect to a certain variable; added in muParser.h.
+
+
+Rev 1.08 : November, 2004
+-------------------------
+
+ * unpublished; experimental template version with respect to data type and underlying string
+ type (string <-> widestring).
+
+
+Rev 1.09 : November 20, 2004
+----------------------------
+
+ * New member function: RemoveVar(...) can be used for removing a single variable from the internal storage.
+ * Internal structure changed; changing base datatype at compile time is now possible.
+ * Bug fix: Postfix operator parsing could fail in certain cases; This has been fixed now.
+ * Internal change: Removed most dependancies from the C-string libraries.
+ * Internal change: Bytecode is now stored in a seperate class: ParserByteCode.h.
+ * Internal change: GetUsedVar() does no longer require that variables are defined at time of call.
+ * Internal change: Error treatment changed. ParserException is no longer derived from std::runtime_error;
+ Internal treatment of Error messages changed.
+ * New functions in Parser interface; ValidNameChars(), ValidOprtChars() and ValidPrefixOprtChars()
+ they are used for defining the charset allowed for variable-, operator- and function names.
+
+
+Rev 1.10 : December 30, 2004
+----------------------------
+
+Release Notes:
+This version does not contain major new feature compared to V1.07 but its internal structure has
+changed significantly. The String parsing routine is slower than the one of V1.07 but bytecode
+parsing is equally fast. On the other hand the error messages of V1.09 are more flexible and you
+can change its value datatype. It should work on 64-bit systems. For this reason I supply both
+versions for download. If you use V1.07 and are happy with it there is no need for updating
+your version.
+
+ * New example program: Archive now contains two demo programs: One for standard C++ and one for
+ managed C++.
+ * New member function: RemoveVar(...) can be used for removing a single variable from the internal storage.
+ * New member function: GetVar() can be used for querying the variable names and pointers of all
+ variables defined in the parser.
+ * New member function: GetConst() can be used for querying all defined constants and their values.
+ * New member function: GetFunDef() can be used for querying all defined functions and the number of
+ arguments they expect.
+ * Internal structure changed; hanging base datatype at compile time is now possible.
+ * Bugfix: Postfix operator parsing could fail in certain cases; This has been fixed now.
+ * Bugfix: Variable names must will now be tested if they conflict with constant or function names.
+ * Internal change: Removed most dependencies from the C-string libraries.
+ * Internal change: Bytecode is now stored in a separate class: ParserByteCode.h
+ * Internal change: GetUsedVar() does no longer require that variables are defined at time of call.
+ * Internal change: Error treatment changed. ParserException is no longer derived from
+ std::runtime_error; Internal treatment of Error messages changed.
+ * New functions in Parser interface: ValidNameChars(), ValidOprtChars() and ValidPrefixOprtChars()
+ they are used for defining the charset allowed for variable-, operator- and
+ function names.
+
+
+Rev 1.2 / 1.21: April, 2005
+---------------------------
+
+Release Notes:
+First of all the interface has changed so this version is not backwards compatible.
+After receiving a couple of questions about it, this version features support for user defined binary
+operators. Consequently the built in operators can now be turned off, thus you can deactivate them and
+write complete customized parser subclasses that only contain the functionality you want. Another new
+feature is the introduction of callback functions taking string arguments, implicit generation of
+variables and the Assignement operator.
+
+ Functionality
+ * New built in operator: xor; Logical xor.
+ * New built in operator: Assignement operator; Defining variables in terms of other variables/constants
+ * New feature: Strings as arguments for callback functions
+ * New feature: User defined binary operators
+ * New feature: ParserInt a class with a sample implementation for
+ integer numbers.
+ * New feature: Callbacks to value regognition functions.
+
+ * Removed: all predefined postfix operators have been removed.
+ * New project file: Now comes with a ready to use windows DLL.
+ * New project file: Makefile for cygwin now included.
+ * New example: Example3 shows usage of the DLL.
+
+ Interface changes
+ * New member function: DefineOprt For adding user defined binary operators.
+ * New member function: EnableBuiltInOprt(bool) Enables/Disables built in binary operators.
+ * New member function: AddValIdent(...) to add callbacks for custom value recognition functions.
+ * Removed: SetVar(), SetConst().
+ * Renamed: Most interface functions have been renamed
+ * Changed: The type for multiargument callbacks multfun_type has changed. It no longer takes a std::vector as input.
+
+ Internal changes
+ * new class muParserTokenReader.h encapsulates the token identification and token assignement.
+ * Internal handling of function callbacks unified as a result the performance of the bytecode evaluation increased.
+
+
+Rev 1.22: October, 2005
+-----------------------
+
+Release notes:
+
+All features of Version 1.22 are similar to Version 1.21. Version 1.22 fixes a compilation issue with gcc 4.0. In
+order to fix this issue I rewrote part of the library to remove some unnecessary templates. This should make the
+code cleaner. The Borland Project files have been removed. If you want to use it with Borland either use the dll version or create your own project files. I can't do it since I don't have this compiler at hand.
+
+Changes:
+
+ Project Changes:
+ * Borland project files removed
+ (The code should still compile with BCB but I cant provide you with project files)
+
+ Internal Changes:
+ * unnecessary template files have been removed:
+ - new files: muParserError.cpp, muParserTokenReader.cpp, muParserCallback.cpp
+ - removed Files: muIParserTypes.h
+
+
+Rev 1.23: 19. October, 2005
+---------------------------
+
+Changes:
+
+ Bugfixes:
+ * Variable factory examples in Example1.cpp and Example3.cpp contained a subtle bug.
+
+ New features:
+ * Added a MSVC6 project file and introduced muParserFixes.h in order to make it compile with MSVC6
+
+
+Rev 1.24: 29. October, 2005
+---------------------------
+
+Changes:
+
+ Compatibility improvements:
+ * parser now works on 64 bit compilers
+ * (bytecode base datatype can now be changed freely)
+
+
+Rev 1.25: 5. February, 2006
+---------------------------
+
+ Build system: (special thanks to Francesco Montorsi for implementing it!)
+ * created a bakefile-based build system which adds support for the following win32 compilers:
+ -> MS visual C++ (6 and .NET)
+ -> BorlandC++ (5 or greater)
+ -> Mingw32 (tested with gcc 3.2)
+ -> Watcom (not tested)
+ and for GCC on Unix (using a standard autoconf's configure script).
+
+ Compatibility improvements:
+ * fixed some small warnings when using -Wall with GCC on Unix
+ * added inclusion guards for win32-specific portions of code
+ * added fixes that remove compiler warnings on Intel C++ and the Solaris C++ compiler.
+
+
+Rev 1.26: (unofficial release)
+---------------------------
+
+ New Features:
+ * Unary operator precedence can now be changed by the user.
+
+
+Rev 1.27:
+---------------------------
+
+ Build system:
+ * Modified build\ directory layout introducing some subfolders
+ for the various IDE supported
+ * Project files for BCB and MSVC7 added
+ * Switched to use bakefile 0.2.1 which now correctly creates the
+ "make uninstall" target for autoconf's Makefile.in
+ * Now the library debug builds are named "muparserd" instead of "muparser"
+ to allow multiple mixed release/debug builds to coexist; so e.g. on Windows
+ when building with DEBUG=1, you'll get "muparserd.lib" instead of "muparser.lib"
+
+ New Features:
+ * Factory functions can now take a user defined pointer
+ * String functions can now be used with up to two additional
+ double parameters
+ * Support for UNICODE character types added
+ * Infix operator priority can now be changed by the user
+
+ Bugfixes:
+ * An internal error was raised when evaluating an empty
+ expressions
+ * The error message raised in case of name collisions between
+ implicitely defined variables and postfix operators did contain
+ misleading data.
+
+
+Rev 1.28: 02. July, 2007
+---------------------------
+
+ Library changes:
+ * Interface for the dynamic library changed and extended to create an interface
+ using pure C functions only.
+ * mupInit() removed
+
+ Build system:
+ * MSVC7 Project files removed in favor of MSVC8
+
+ Bugfixes:
+ * The dynamic library did not build on other systems than linux due to a misplaced
+ preprocessor definition. This is fixed now.
+
+Rev 1.29: Januar 2008
+---------------------
+
+ Unrelease Version available only via SVN.
+
+
+Rev 1.30: 09.06.2008
+--------------------
+
+ Changes:
+ * Epsilon of the numerical differentiation algorithm changed to allow greater accuracy.
+
+ New features:
+ * Setting thousands separator and decimal separator is now possible
+
+ Bugfixes:
+ * The dll interface did not provide a callback for functions without any arguments.
+
+Rev 1.31cp: 15.01.2010 (Maintainance release for CodeProject)
+----------------------
+
+ Changes:
+ * Archive structure changed
+ * C# wrapper added
+ * Fixed issued that prevented compiling with VS2010 Beta2
+
+Rev 1.32: 29.01.2010
+--------------------
+
+ Changes:
+ * "example3" renamed to "example2"
+ * Project/Makefiles files are now provided for:
+ - msvc2003
+ - msvc2005
+ - msvc2008
+ - watcom (makefile)
+ - mingw (makefile)
+ - bcc (makefile)
+ * Project files for borland cpp builder were removed
+
+ New features:
+ * Added function returning muparsers version number
+ * Added function for resetting the locale
+
+ Bugfixes:
+ * Changes example1 in order to fix issues with irritating memory leak reports.
+ Added conditional code for memory leak detection with MSVC in example1.
+ (see: http://www.codeproject.com/KB/recipes/FastMathParser.aspx?msg=3286367#xx3286367xx)
+ * Fixed some warnings for gcc
Added: trunk/OpenMPT/muParser/Credits.txt
===================================================================
--- trunk/OpenMPT/muParser/Credits.txt (rev 0)
+++ trunk/OpenMPT/muParser/Credits.txt 2010-05-30 20:42:33 UTC (rev 611)
@@ -0,0 +1,28 @@
+######################################################################
+# #
+# __________ #
+# _____ __ __\______ \_____ _______ ______ ____ _______ #
+# / \ | | \| ___/\__ \ \_ __ \/ ___/_/ __ \\_ __ \ #
+# | Y Y \| | /| | / __ \_| | \/\___ \ \ ___/ | | \/ #
+# |__|_| /|____/ |____| (____ /|__| /____ > \___ >|__| #
+# \/ \/ \/ \/ #
+# #
+# Copyright (C) 2010 #
+# Ingo Berg #
+# #
+######################################################################
+
+Credits:
+--------
+
+I'd like to thank all the people contacting me with suggestions and
+bug reports. Your feedback is always welcome and helps to improve this
+project.
+
+Especially I'd like to thank:
+-----------------------------
+
+Francesco Montorsi for setting up the new parser build system as well
+as the SVN server at sourceforge. Ion Vasilief for Feedback,
+suggestions and help with the MSVC6 adaptation, Giampaolo Belini for
+his help in fixing bugs.
Added: trunk/OpenMPT/muParser/Install.txt
===================================================================
--- trunk/OpenMPT/muParser/Install.txt (rev 0)
+++ trunk/OpenMPT/muParser/Install.txt 2010-05-30 20:42:33 UTC (rev 611)
@@ -0,0 +1,126 @@
+
+ __________
+ _____ __ __\______ \_____ _______ ______ ____ _______
+ / \ | | \| ___/\__ \ \_ __ \/ ___/_/ __ \\_ __ \
+ | Y Y \| | /| | / __ \_| | \/\___ \ \ ___/ | | \/
+ |__|_| /|____/ |____| (____ /|__| /____ > \___ >|__|
+ \/ \/ \/ \/
+
+ Mathematical expressions parser library
+ Copyright (C) 2010 Ingo Berg (muparser{at}gmx.de)
+
+
+
+ Contents
+ ========
+
+ 1. Installation on win32
+ 2. Installation on unix
+ 2.1 Other miscellaneous info Unix-specific
+ 3. Where to ask for help
+
+
+
+ 1. Installation on win32
+ ========================
+
+ muParser supports various win32 command-line compilers:
+ -> mingw
+ -> borland
+ -> watcom
+ -> microsoft CL
+ and provides also the project files for MSVC6 IDE.
+
+ In order to compile muParser from makefiles, open an MSDOS
+ prompt and then move to the muParser/build directory and
+ type:
+
+ mingw32-make -fmakefile.mingw for mingw
+ nmake -fmakefile.vc for msvc
+ make -fmakefile.bcc for borland
+ wmake -fmakefile.wat for watcom
+
+ All makefiles supports the following options:
+
+ # Set to 1 to build debug version [0,1]
+ # 0 - Release
+ # 1 - Debug
+ DEBUG = 0
+
+ # Set to 1 to build shared (DLL) version [0,1]
+ # 0 - Static
+ # 1 - DLL
+ SHARED = 0
+
+ # Set to 1 to compile samples [0,1]
+ SAMPLES = 1
+
+ The muParser library is created in the 'lib' folder and the sample
+ binaries are created in samples\example1 or samples\example2.
+
+ NOTE: samples\example1 can be compiled *only* when building
+ muParser as a STATIC library (SHARED=0).
+ samples\example2 can be compiled *only* when building
+ muParser as a SHARED library (SHARED=1).
+
+
+
+ 2. Installation on Unix/Linux
+ =============================
+
+ muParser can be installed just extracting the sources somewhere
+ and then, from a terminal, typing:
+
+ cd [path to muParser]
+ ./configure [--enable-shared=yes/no] [--enable-samples=yes/no]
+ [--enable-debug=yes/no]
+ make
+ [sudo*] make install
+ [sudo*] ldconfig
+ cd samples/example1
+ ./example1
+
+ * = this command must be executed with root permissions and thus
+ you have to use 'sudo' or just 'su' to gain root access.
+ Note that installation and ldconfig are not strictly required unless
+ you built in shared mode.
+
+ The "make" step will create the muParser library in 'lib' and the
+ sample binary in samples/example1.
+ The samples/example2 is win32-specific and thus won't be built.
+
+
+
+ 2.1 Other miscellaneous info Unix-specific
+ ==========================================
+
+ If you don't like to have your muParser folder filled by temporary
+ files created by GCC, then you can do the following:
+
+ mkdir mybuild && cd mybuild && ../configure && make
+
+ to put all object files in the "mybuild" directory.
+
+ If you want to use muParser library in your programs, you can use
+ the pkg-config program (this works only if muParser was installed
+ with 'make install' !). The commands:
+
+ pkg-config muparser --cflags
+ pkg-config muparser --libs
+
+ will return all useful info you need to build your programs against
+ muParser !
+
+
+
+ 3. Where to ask for help
+ ========================
+
+ If you find problems with either compilation, installation or usage
+ of muParser, then you can ask in the muParser forum at:
+
+ https://sourceforge.net/forum/forum.php?forum_id=462843
+
+ For more info about muParser, visit:
+ http://sourceforge.net/projects/muparser/
+ http://muparser.sourceforge.net
Deleted: trunk/OpenMPT/muParser/Makefile.in
===================================================================
--- trunk/OpenMPT/muParser/Makefile.in 2010-05-29 12:29:26 UTC (rev 610)
+++ trunk/OpenMPT/muParser/Makefile.in 2010-05-30 20:42:33 UTC (rev 611)
@@ -1,345 +0,0 @@
-# =========================================================================
-# This makefile was generated by
-# Bakefile 0.2.1 (http://bakefile.sourceforge.net)
-# Do not modify, all changes will be overwritten!
-# =========================================================================
-
-
-@MAKE_SET@
-
-prefix = @prefix@
-exec_prefix = @exec_prefix@
-INSTALL = @INSTALL@
-SHARED_LD_CXX = @SHARED_LD_CXX@
-LIBEXT = @LIBEXT@
-LIBPREFIX = @LIBPREFIX@
-SO_SUFFIX = @SO_SUFFIX@
-DLLIMP_SUFFIX = @DLLIMP_SUFFIX@
-EXEEXT = @EXEEXT@
-LN_S = @LN_S@
-SETFILE = @SETFILE@
-PIC_FLAG = @PIC_FLAG@
-SONAME_FLAG = @SONAME_FLAG@
-STRIP = @STRIP@
-INSTALL_PROGRAM = @INSTALL_PROGRAM@
-INSTALL_DATA = @INSTALL_DATA@
-INSTALL_DIR = @INSTALL_DIR@
-BK_DEPS = @BK_DEPS@
-srcdir = @srcdir@
-top_builddir = @top_builddir@
-libdir = @libdir@
-DLLPREFIX = @DLLPREFIX@
-LIBS = @LIBS@
-AR = @AR@
-AROPTIONS = @AROPTIONS@
-RANLIB = @RANLIB@
-CXX = @CXX@
-CXXFLAGS = @CXXFLAGS@
-CPPFLAGS = @CPPFLAGS@
-LDFLAGS = @LDFLAGS@
-
-### Variables: ###
-
-DESTDIR =
-MUPARSER_LIB_CXXFLAGS = $(____DEBUG) $(____SHARED) $(____SHARED_0) \
- -I$(srcdir)/include $(CPPFLAGS) $(CXXFLAGS)
-MUPARSER_LIB_OBJECTS = \
- muParser_lib_muParserBytecode.o \
- muParser_lib_muParserTest.o \
- muParser_lib_muParser.o \
- muParser_lib_muParserDLL.o \
- muParser_lib_muParserInt.o \
- muParser_lib_muParserTokenReader.o \
- muParser_lib_muParserError.o \
- muParser_lib_muParserCallback.o \
- muParser_lib_muParserBase.o
-MUPARSER_LIB_HEADERS = \
- include/muParserError.h \
- include/muParserFixes.h \
- include/muParserStack.h \
- include/muParserBytecode.h \
- include/muParserToken.h \
- include/muParserBase.h \
- include/muParserTest.h \
- include/muParserTokenReader.h \
- include/muParserCallback.h \
- include/muParser.h \
- include/muParserDLL.h \
- include/muParserDef.h \
- include/muParserInt.h
-MUPARSER_DLL_CXXFLAGS = $(____DEBUG) $(____SHARED) $(____SHARED_0) \
- -I$(srcdir)/include $(PIC_FLAG) $(CPPFLAGS) $(CXXFLAGS)
-MUPARSER_DLL_OBJECTS = \
- muParser_dll_muParserBytecode.o \
- muParser_dll_muParserTest.o \
- muParser_dll_muParser.o \
- muParser_dll_muParserDLL.o \
- muParser_dll_muParserInt.o \
- muParser_dll_muParserTokenReader.o \
- muParser_dll_muParserError.o \
- muParser_dll_muParserCallback.o \
- muParser_dll_muParserBase.o
-MUPARSER_DLL_HEADERS = \
- include/muParserError.h \
- include/muParserFixes.h \
- include/muParserStack.h \
- include/muParserBytecode.h \
- include/muParserToken.h \
- include/muParserBase.h \
- include/muParserTest.h \
- include/muParserTokenReader.h \
- include/muParserCallback.h \
- include/muParser.h \
- include/muParserDLL.h \
- include/muParserDef.h \
- include/muParserInt.h
-EXAMPLE1_CXXFLAGS = $(____DEBUG) -I$(srcdir)/include $(CPPFLAGS) $(CXXFLAGS)
-EXAMPLE1_OBJECTS = \
- example1_Example1.o
-
-### Conditionally set variables: ###
-
-@COND_DEPS_TRACKING_0@CXXC = $(CXX)
-@COND_DEPS_TRACKING_1@CXXC = $(BK_DEPS) $(CXX)
-@COND_DEBUG_0@DEBUG_BUILD_POSTFIX =
-@COND_DEBUG_1@DEBUG_BUILD_POSTFIX = d
-@COND_SHARED_0@__muParser_lib___depname = \
-@COND_SHARED_0@ $(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(LIBEXT)
-@COND_SHARED_0@__install_muParser_lib___depname = install_muParser_lib
-@COND_SHARED_0@__uninstall_muParser_lib___depname = uninstall_muParser_lib
-@COND_SHARED_0@__install_muParser_lib_headers___depname = \
-@COND_SHARED_0@ install_muParser_lib_headers
-@COND_SHARED_0@__uninstall_muParser_lib_headers___depname = \
-@COND_SHARED_0@ uninstall_muParser_lib_headers
-COND_SHARED_1___muParser_dll___depname = \
- $(top_builddir)/lib/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3)
-@COND_SHARED_1@__muParser_dll___depname = $(COND_SHARED_1___muParser_dll___depname)
-@COND_SHARED_1@__install_muParser_dll___depname = install_muParser_dll
-@COND_SHARED_1@__uninstall_muParser_dll___depname = uninstall_muParser_dll
-COND_PLATFORM_MACOSX_1___muParser_dll___macinstnamecmd = -install_name \
- $(libdir)/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2)
-@COND_PLATFORM_MACOSX_1@__muParser_dll___macinstnamecmd = $(COND_PLATFORM_MACOSX_1___muParser_dll___macinstnamecmd)
-@COND_SHARED_1@__install_muParser_dll_headers___depname = \
-@COND_SHARED_1@ install_muParser_dll_headers
-@COND_SHARED_1@__uninstall_muParser_dll_headers___depname = \
-@COND_SHARED_1@ uninstall_muParser_dll_headers
-COND_PLATFORM_OS2_1___muParser_dll___importlib = -import \
- $(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX)
-@COND_PLATFORM_OS2_1@__muParser_dll___importlib = $(COND_PLATFORM_OS2_1___muParser_dll___importlib)
-COND_WINDOWS_IMPLIB_1___muParser_dll___importlib = \
- -Wl,--out-implib=$(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX)
-@COND_WINDOWS_IMPLIB_1@__muParser_dll___importlib = $(COND_WINDOWS_IMPLIB_1___muParser_dll___importlib)
-@COND_PLATFORM_MACOSX_0_USE_SOVERSION_1@__muParser_dll___targetsuf2 \
-@COND_PLATFORM_MACOSX_0_USE_SOVERSION_1@ = .$(SO_SUFFIX).0
-@COND_PLATFORM_MACOSX_1_USE_SOVERSION_1@__muParser_dll___targetsuf2 \
-@COND_PLATFORM_MACOSX_1_USE_SOVERSION_1@ = .0.$(SO_SUFFIX)
-@COND_USE_SOVERSION_0@__muParser_dll___targetsuf2 = .$(SO_SUFFIX)
-@COND_PLATFORM_MACOSX_0_USE_SOVERCYGWIN_0_USE_SOVERSION_1@__muParser_dll___targetsuf3 \
-@COND_PLATFORM_MACOSX_0_USE_SOVERCYGWIN_0_USE_SOVERSION_1@ = \
-@COND_PLATFORM_MACOSX_0_USE_SOVERCYGWIN_0_USE_SOVERSION_1@ .$(SO_SUFFIX).0.0.0
-@COND_PLATFORM_MACOSX_1_USE_SOVERSION_1@__muParser_dll___targetsuf3 \
-@COND_PLATFORM_MACOSX_1_USE_SOVERSION_1@ = .0.0.0.$(SO_SUFFIX)
-@COND_USE_SOVERCYGWIN_1_USE_SOVERSION_1@__muParser_dll___targetsuf3 \
-@COND_USE_SOVERCYGWIN_1_USE_SOVERSION_1@ = -0.$(SO_SUFFIX)
-@COND_USE_SOVERSION_0@__muParser_dll___targetsuf3 = .$(SO_SUFFIX)
-COND_USE_SOVERLINUX_1___muParser_dll___soname_flags = \
- $(SONAME_FLAG)$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2)
-@COND_USE_SOVERLINUX_1@__muParser_dll___soname_flags = $(COND_USE_SOVERLINUX_1___muParser_dll___soname_flags)
-COND_USE_SOVERSOLARIS_1___muParser_dll___soname_flags = \
- $(SONAME_FLAG)$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3)
-@COND_USE_SOVERSOLARIS_1@__muParser_dll___soname_flags = $(COND_USE_SOVERSOLARIS_1___muParser_dll___soname_flags)
-COND_USE_SOSYMLINKS_1___muParser_dll___so_symlinks_cmd = (cd \
- $(top_builddir)/lib/; rm -f \
- $(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX) \
- $(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2); \
- $(LN_S) \
- $(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3) \
- $(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2); \
- $(LN_S) \
- $(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2) \
- $(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX))
-@COND_USE_SOSYMLINKS_1@__muParser_dll___so_symlinks_cmd = $(COND_USE_SOSYMLINKS_1___muParser_dll___so_symlinks_cmd)
-COND_USE_SOSYMLINKS_1___muParser_dll___so_symlinks_inst_cmd = rm -f \
- $(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX) \
- $(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2); \
- $(LN_S) \
- $(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3) \
- $(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2); \
- $(LN_S) \
- $(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2) \
- $(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX)
-@COND_USE_SOSYMLINKS_1@__muParser_dll___so_symlinks_inst_cmd = $(COND_USE_SOSYMLINKS_1___muParser_dll___so_symlinks_inst_cmd)
-COND_USE_SOSYMLINKS_1___muParser_dll___so_symlinks_uninst_cmd = rm -f \
- $(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2) \
- $(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX)
-@COND_USE_SOSYMLINKS_1@__muParser_dll___so_symlinks_uninst_cmd = $(COND_USE_SOSYMLINKS_1___muParser_dll___so_symlinks_uninst_cmd)
-@COND_PLATFORM_MACOSX_1@__muParser_dll___macver = \
-@COND_PLATFORM_MACOSX_1@ -compatibility_version 1 -current_version 1
-@COND_SAMPLES_1@__example1___depname = \
-@COND_SAMPLES_1@ $(top_builddir)/samples/example1/example1$(EXEEXT)
-@COND_PLATFORM_MAC_1@__example1___mac_setfilecmd = \
-@COND_PLATFORM_MAC_1@ $(SETFILE) -t APPL \
-@COND_PLATFORM_MAC_1@ $(top_builddir)/samples/example1/example1$(EXEEXT)
-@COND_SHARED_0@____SHARED =
-@COND_SHARED_1@____SHARED = -DMUPARSER_DLL
-@COND_SHARED_0@____SHARED_0 =
-@COND_SHARED_1@____SHARED_0 = -DMUPARSERLIB_EXPORTS
-@COND_DEBUG_0@____DEBUG = -DNDEBUG
-@COND_DEBUG_1@____DEBUG =
-
-### Targets: ###
-
-all: $(__muParser_lib___depname) $(__muParser_dll___depname) $(__example1___depname)
-
-install: all $(__install_muParser_lib___depname) $(__install_muParser_lib_headers___depname) $(__install_muParser_dll___depname) $(__install_muParser_dll_headers___depname)
- $(INSTALL_DIR) $(libdir)/pkgconfig
- $(INSTALL_DATA) build/autoconf/muparser.pc $(libdir)/pkgconfig
-
-uninstall: $(__uninstall_muParser_lib___depname) $(__uninstall_muParser_lib_headers___depname) $(__uninstall_muParser_dll___depname) $(__uninstall_muParser_dll_headers___depname)
-
-install-strip: install
- $(STRIP) $(DESTDIR)$(libdir)/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3)
-
-clean:
- rm -rf ./.deps ./.pch
- rm -f ./*.o
- rm -f $(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(LIBEXT)
- rm -f $(top_builddir)/lib/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3)
- rm -f $(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX)
- rm -f $(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX) $(top_builddir)/lib/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2)
- rm -f $(top_builddir)/samples/example1/example1$(EXEEXT)
-
-distclean: clean
- rm -f config.cache config.log config.status bk-deps bk-make-pch shared-ld-sh Makefile
- rm -f build/autoconf/muparser.pc
-
-@COND_SHARED_0@$(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(LIBEXT): $(MUPARSER_LIB_OBJECTS)
-@COND_SHARED_0@ rm -f $@
-@COND_SHARED_0@ $(AR) $(AROPTIONS) $@ $(MUPARSER_LIB_OBJECTS)
-@COND_SHARED_0@ $(RANLIB) $@
-
-@COND_SHARED_0@install_muParser_lib:
-@COND_SHARED_0@ $(INSTALL_DIR) $(DESTDIR)$(libdir)
-@COND_SHARED_0@ $(INSTALL_DATA) $(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(LIBEXT) $(DESTDIR)$(libdir)
-
-@COND_SHARED_0@uninstall_muParser_lib:
-@COND_SHARED_0@ rm -f $(DESTDIR)$(libdir)/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(LIBEXT)
-
-@COND_SHARED_0@install_muParser_lib_headers:
-@COND_SHARED_0@ $(INSTALL_DIR) $(DESTDIR)$(prefix)
-@COND_SHARED_0@ for f in $(MUPARSER_LIB_HEADERS); do \
-@COND_SHARED_0@ if test ! -d $(DESTDIR)$(prefix)/`dirname $$f` ; then \
-@COND_SHARED_0@ $(INSTALL_DIR) $(DESTDIR)$(prefix)/`dirname $$f`; \
-@COND_SHARED_0@ fi; \
-@COND_SHARED_0@ $(INSTALL_DATA) $(srcdir)/$$f $(DESTDIR)$(prefix)/$$f; \
-@COND_SHARED_0@ done
-
-@COND_SHARED_0@uninstall_muParser_lib_headers:
-@COND_SHARED_0@ for f in $(MUPARSER_LIB_HEADERS); do \
-@COND_SHARED_0@ rm -f $(DESTDIR)$(prefix)/$$f; \
-@COND_SHARED_0@ done
-
-@COND_SHARED_1@$(top_builddir)/lib/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3): $(MUPARSER_DLL_OBJECTS)
-@COND_SHARED_1@ $(SHARED_LD_CXX) $@ $(MUPARSER_DLL_OBJECTS) $(LDFLAGS) $(__muParser_dll___macinstnamecmd) $(__muParser_dll___importlib) $(__muParser_dll___soname_flags) $(__muParser_dll___macver) $(LIBS)
-@COND_SHARED_1@
-@COND_SHARED_1@ $(__muParser_dll___so_symlinks_cmd)
-
-@COND_SHARED_1@install_muParser_dll:
-@COND_SHARED_1@ $(INSTALL_DIR) $(DESTDIR)$(libdir)
-@COND_SHARED_1@ $(INSTALL_DATA) $(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX) $(DESTDIR)$(libdir)
-@COND_SHARED_1@ $(INSTALL_PROGRAM) $(top_builddir)/lib/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3) $(DESTDIR)$(libdir)
-@COND_SHARED_1@ (cd $(DESTDIR)$(libdir) ; $(__muParser_dll___so_symlinks_inst_cmd))
-
-@COND_SHARED_1@uninstall_muParser_dll:
-@COND_SHARED_1@ rm -f $(DESTDIR)$(libdir)/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX)
-@COND_SHARED_1@ rm -f $(DESTDIR)$(libdir)/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3)
-@COND_SHARED_1@ (cd $(DESTDIR)$(libdir) ; $(__muParser_dll___so_symlinks_uninst_cmd))
-
-@COND_SHARED_1@install_muParser_dll_headers:
-@COND_SHARED_1@ $(INSTALL_DIR) $(DESTDIR)$(prefix)
-@COND_SHARED_1@ for f in $(MUPARSER_DLL_HEADERS); do \
-@COND_SHARED_1@ if test ! -d $(DESTDIR)$(prefix)/`dirname $$f` ; then \
-@COND_SHARED_1@ $(INSTALL_DIR) $(DESTDIR)$(prefix)/`dirname $$f`; \
-@COND_SHARED_1@ fi; \
-@COND_SHARED_1@ $(INSTALL_DATA) $(srcdir)/$$f $(DESTDIR)$(prefix)/$$f; \
-@COND_SHARED_1@ done
-
-@COND_SHARED_1@uninstall_muParser_dll_headers:
-@COND_SHARED_1@ for f in $(MUPARSER_DLL_HEADERS); do \
-@COND_SHARED_1@ rm -f $(DESTDIR)$(prefix)/$$f; \
-@COND_SHARED_1@ done
-
-@COND_SAMPLES_1@$(top_builddir)/samples/example1/example1$(EXEEXT): $(EXAMPLE1_OBJECTS) $(__muParser_lib___depname)
-@COND_SAMPLES_1@ $(CXX) -o $@ $(EXAMPLE1_OBJECTS) -L$(top_builddir)/lib $(LDFLAGS) -L$(srcdir)/lib $(LIBS) -lmuparser$(DEBUG_BUILD_POSTFIX)
-@COND_SAMPLES_1@
-@COND_SAMPLES_1@ $(__example1___mac_setfilecmd)
-
-lib: $(__muParser_lib___depname) $(__muParser_dll___depname)
-
-samples: $(__example1___depname)
-
-documentation:
- ( cd $(srcdir)/docs && doxygen )
-
-muParser_lib_muParserBytecode.o: $(srcdir)/src/muParserBytecode.cpp
- $(CXXC) -c -o $@ $(MUPARSER_LIB_CXXFLAGS) $(srcdir)/src/muParserBytecode.cpp
-
-muParser_lib_muParserTest.o: $(srcdir)/src/muParserTest.cpp
- $(CXXC) -c -o $@ $(MUPARSER_LIB_CXXFLAGS) $(srcdir)/src/muParserTest.cpp
-
-muParser_lib_muParser.o: $(srcdir)/src/muParser.cpp
- $(CXXC) -c -o $@ $(MUPARSER_LIB_CXXFLAGS) $(srcdir)/src/muParser.cpp
-
-muParser_lib_muParserDLL.o: $(srcdir)/src/muParserDLL.cpp
- $(CXXC) -c -o $@ $(MUPARSER_LIB_CXXFLAGS) $(srcdir)/src/muParserDLL.cpp
-
-muParser_lib_muParserInt.o: $(srcdir)/src/muParserInt.cpp
- $(CXXC) -c -o $@ $(MUPARSER_LIB_CXXFLAGS) $(srcdir)/src/muParserInt.cpp
-
-muParser_lib_muParserTokenReader.o: $(srcdir)/src/muParserTokenReader.cpp
- $(CXXC) -c -o $@ $(MUPARSER_LIB_CXXFLAGS) $(srcdir)/src/muParserTokenReader.cpp
-
-muParser_lib_muParserError.o: $(srcdir)/src/muParserError.cpp
- $(CXXC) -c -o $@ $(MUPARSER_LIB_CXXFLAGS) $(srcdir)/src/muParserError.cpp
-
-muParser_lib_muParserCallback.o: $(srcdir)/src/muParserCallback.cpp
- $(CXXC) -c -o $@ $(MUPARSER_LIB_CXXFLAGS) $(srcdir)/src/muParserCallback.cpp
-
-muParser_lib_muParserBase.o: $(srcdir)/src/muParserBase.cpp
- $(CXXC) -c -o $@ $(MUPARSER_LIB_CXXFLAGS) $(srcdir)/src/muParserBase.cpp
-
-muParser_dll_muParserBytecode.o: $(srcdir)/src/muParserBytecode.cpp
- $(CXXC) -c -o $@ $(MUPARSER_DLL_CXXFLAGS) $(srcdir)/src/muParserBytecode.cpp
-
-muParser_dll_muParserTest.o: $(srcdir)/src/muParserTest.cpp
- $(CXXC) -c -o $@ $(MUPARSER_DLL_CXXFLAGS) $(srcdir)/src/muParserTest.cpp
-
-muParser_dll_muParser.o: $(srcdir)/src/muParser.cpp
- $(CXXC) -c -o $@ $(MUPARSER_DLL_CXXFLAGS) $(srcdir)/src/muParser.cpp
-
-muParser_dll_muParserDLL.o: $(srcdir)/src/muParserDLL.cpp
- $(CXXC) -c -o $@ $(MUPARSER_DLL_CXXFLAGS) $(srcdir)/src/muParserDLL.cpp
-
-muParser_dll_muParserInt.o: $(srcdir)/src/muParserInt.cpp
- $(CXXC) -c -o $@ $(MUPARSER_DLL_CXXFLAGS) $(srcdir)/src/muParserInt.cpp
-
-muParser_dll_muParserTokenReader.o: $(srcdir)/src/muParserTokenReader.cpp
- $(CXXC) -c -o $@ $(MUPARSER_DLL_CXXFLAGS) $(srcdir)/src/muParserTokenReader.cpp
-
-muParser_dll_muParserError.o: $(srcdir)/src/muParserError.cpp
- $(CXXC) -c -o $@ $(MUPARSER_DLL_CXXFLAGS) $(srcdir)/src/muParserError.cpp
-
-muParser_dll_muParserCallback.o: $(srcdir)/src/muParserCallback.cpp
- $(CXXC) -c -o $@ $(MUPARSER_DLL_CXXFLAGS) $(srcdir)/src/muParserCallback.cpp
-
-muParser_dll_muParserBase.o: $(srcdir)/src/muParserBase.cpp
- $(CXXC) -c -o $@ $(MUPARSER_DLL_CXXFLAGS) $(srcdir)/src/muParserBase.cpp
-
-example1_Example1.o: $(srcdir)/samples/example1/Example1.cpp
- $(CXXC) -c -o $@ $(EXAMPLE1_CXXFLAGS) $(srcdir)/samples/example1/Example1.cpp
-
-
-# Include dependency info, if present:
-@IF_GNU_MAKE@-include .deps/*.d
-
-.PHONY: all install uninstall clean distclean install_muParser_lib uninstall_muParser_lib install_muParser_lib_headers uninstall_muParser_lib_headers install_muParser_dll uninstall_muParser_dll install_muParser_dll_headers uninstall_muParser_dll_headers lib samples
Modified: trunk/OpenMPT/muParser/build/autoconf/aclocal.m4
===================================================================
--- trunk/OpenMPT/muParser/build/autoconf/aclocal.m4 2010-05-29 12:29:26 UTC (rev 610)
+++ trunk/OpenMPT/muParser/build/autoconf/aclocal.m4 2010-05-30 20:42:33 UTC (rev 611)
@@ -1,7 +1,7 @@
-# generated automatically by aclocal 1.9.6 -*- Autoconf -*-
+# generated automatically by aclocal 1.11 -*- Autoconf -*-
# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004,
-# 2005 Free Software Foundation, Inc.
+# 2005, 2006, 2007, 2008, 2009 Free Software Foundation, Inc.
# This file is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
@@ -11,15 +11,843 @@
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
+AC_DEFUN([AC_BAKEFILE_CREATE_FILE_DLLAR_SH],
+[
+dnl ===================== dllar.sh begins here =====================
+dnl (Created by merge-scripts.py from dllar.sh
+dnl file do not edit here!)
+D='$'
+cat <<EOF >dllar.sh
+#!/bin/sh
+#
+# dllar - a tool to build both a .dll and an .a file
+# from a set of object (.o) files for EMX/OS2.
+#
+# Written by Andrew Zabolotny, bi...@fr...
+# Ported to Unix like shell by Stefan Neis, Ste...@t-...
+#
+# This script will accept a set of files on the command line.
+# All the public symbols from the .o files will be exported into
+# a .DEF file, then linker will be run (through gcc) against them to
+# build a shared library consisting of all given .o files. All libraries
+# (.a) will be first decompressed into component .o files then act as
+# described above. You can optionally give a description (-d "description")
+# which will be put into .DLL. To see the list of accepted options (as well
+# as command-line format) simply run this program without options. The .DLL
+# is built to be imported by name (there is no guarantee that new versions
+# of the library you build will have same ordinals for same symbols).
+#
+# dllar is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# dllar is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with dllar; see the file COPYING. If not, write to the Free
+# Software Foundation, 59 Temple Place - Suite 330, Boston, MA
+# 02111-1307, USA.
+
+# To successfuly run this program you will need:
+# - Current drive should have LFN support (HPFS, ext2, network, etc)
+# (Sometimes dllar generates filenames which won't fit 8.3 scheme)
+# - gcc
+# (used to build the .dll)
+# - emxexp
+# (used to create .def file from .o files)
+# - emximp
+# (used to create .a file from .def file)
+# - GNU text utilites (cat, sort, uniq)
+# used to process emxexp output
+# - GNU file utilities (mv, rm)
+# - GNU sed
+# - lxlite (optional, see flag below)
+# (used for general .dll cleanup)
+#
+
+flag_USE_LXLITE=1;
+
+#
+# helper functions
+# basnam, variant of basename, which does _not_ remove the path, _iff_
+# second argument (suffix to remove) is given
+basnam(){
+ case ${D}# in
+ 1)
+ echo ${D}1 | sed 's/.*\\///' | sed 's/.*\\\\//'
+ ;;
+ 2)
+ echo ${D}1 | sed 's/'${D}2'${D}//'
+ ;;
+ *)
+ echo "error in basnam ${D}*"
+ exit 8
+ ;;
+ esac
+}
+
+# Cleanup temporary files and output
+CleanUp() {
+ cd ${D}curDir
+ for i in ${D}inputFiles ; do
+ case ${D}i in
+ *!)
+ rm -rf \`basnam ${D}i !\`
+ ;;
+ *)
+ ;;
+ esac
+ done
+
+ # Kill result in case of failure as there is just to many stupid make/nmake
+ # things out there which doesn't do this.
+ if @<:@ ${D}# -eq 0 @:>@; then
+ rm -f ${D}arcFile ${D}arcFile2 ${D}defFile ${D}dllFile
+ fi
+}
+
+# Print usage and exit script with rc=1.
+PrintHelp() {
+ echo 'Usage: dllar.sh @<:@-o@<:@utput@:>@ output_file@:>@ @<:@-i@<:@mport@:>@ importlib_name@:>@'
+ echo ' @<:@-name-mangler-script script.sh@:>@'
+ echo ' @<:@-d@<:@escription@:>@ "dll descrption"@:>@ @<:@-cc "CC"@:>@ @<:@-f@<:@lags@:>@ "CFLAGS"@:>@'
+ echo ' @<:@-ord@<:@inals@:>@@:>@ -ex@<:@clude@:>@ "symbol(s)"'
+ echo ' @<:@-libf@<:@lags@:>@ "{INIT|TERM}{GLOBAL|INSTANCE}"@:>@ @<:@-nocrt@<:@dll@:>@@:>@ @<:@-nolxl@<:@ite@:>@@:>@'
+ echo ' @<:@*.o@:>@ @<:@*.a@:>@'
+ echo '*> "output_file" should have no extension.'
+ echo ' If it has the .o, .a or .dll extension, it is automatically removed.'
+ echo ' The import library name is derived from this and is set to "name".a,'
+ echo ' unless overridden by -import'
+ echo '*> "importlib_name" should have no extension.'
+ echo ' If it has the .o, or .a extension, it is automatically removed.'
+ echo ' This name is used as the import library name and may be longer and'
+ echo ' more descriptive than the DLL name which has to follow the old '
+ echo ' 8.3 convention of FAT.'
+ echo '*> "script.sh may be given to override the output_file name by a'
+ echo ' different name. It is mainly useful if the regular make process'
+ echo ' of some package does not take into account OS/2 restriction of'
+ echo ' DLL name lengths. It takes the importlib name as input and is'
+ echo ' supposed to procude a shorter name as output. The script should'
+ echo ' expect to get importlib_name without extension and should produce'
+ echo ' a (max.) 8 letter name without extension.'
+ echo '*> "cc" is used to use another GCC executable. (default: gcc.exe)'
+ echo '*> "flags" should be any set of valid GCC flags. (default: -s -Zcrtdll)'
+ echo ' These flags will be put at the start of GCC command line.'
+ echo '*> -ord@<:@inals@:>@ tells dllar to export entries by ordinals. Be careful.'
+ echo '*> -ex@<:@clude@:>@ defines symbols which will not be exported. You can define'
+ echo ' multiple symbols, for example -ex "myfunc yourfunc _GLOBAL*".'
+ echo ' If the last character of a symbol is "*", all symbols beginning'
+ echo ' with the prefix before "*" will be exclude, (see _GLOBAL* above).'
+ echo '*> -libf@<:@lags@:>@ can be used to add INITGLOBAL/INITINSTANCE and/or'
+ echo ' TERMGLOBAL/TERMINSTANCE flags to the dynamically-linked library.'
+ echo '*> -nocrt@<:@dll@:>@ switch will disable linking the library against emx''s'
+ echo ' C runtime DLLs.'
+ echo '*> -nolxl@<:@ite@:>@ switch will disable running lxlite on the resulting DLL.'
+ echo '*> All other switches (for example -L./ or -lmylib) will be passed'
+ echo ' unchanged to GCC at the end of command line.'
+ echo '*> If you create a DLL from a library and you do not specify -o,'
+ echo ' the basename for DLL and import library will be set to library name,'
+ echo ' the initial library will be renamed to 'name'_s.a (_s for static)'
+ echo ' i.e. "dllar gcc.a" will create gcc.dll and gcc.a, and the initial'
+ echo ' library will be renamed into gcc_s.a.'
+ echo '--------'
+ echo 'Example:'
+ echo ' dllar -o gcc290.dll libgcc.a -d "GNU C runtime library" -ord'
+ echo ' -ex "__main __ctordtor*" -libf "INITINSTANCE TERMINSTANCE"'
+ CleanUp
+ exit 1
+}
+
+# Execute a command.
+# If exit code of the commnad <> 0 CleanUp() is called and we'll exit the script.
+# @Uses Whatever CleanUp() uses.
+doCommand() {
+ echo "${D}*"
+ eval ${D}*
+ rcCmd=${D}?
+
+ if @<:@ ${D}rcCmd -ne 0 @:>@; then
+ echo "command failed, exit code="${D}rcCmd
+ CleanUp
+ exit ${D}rcCmd
+ fi
+}
+
+# main routine
+# setup globals
+cmdLine=${D}*
+outFile=""
+outimpFile=""
+inputFiles=""
+renameScript=""
+description=""
+CC=gcc.exe
+CFLAGS="-s -Zcrtdll"
+EXTRA_CFLAGS=""
+EXPORT_BY_ORDINALS=0
+exclude_symbols=""
+library_flags=""
+curDir=\`pwd\`
+curDirS=curDir
+case ${D}curDirS in
+*/)
+ ;;
+*)
+ curDirS=${D}{curDirS}"/"
+ ;;
+esac
+# Parse commandline
+libsToLink=0
+omfLinking=0
+while @<:@ ${D}1 @:>@; do
+ case ${D}1 in
+ -ord*)
+ EXPORT_BY_ORDINALS=1;
+ ;;
+ -o*)
+ shift
+ outFile=${D}1
+ ;;
+ -i*)
+ shift
+ outimpFile=${D}1
+ ;;
+ -name-mangler-script)
+ shift
+ renameScript=${D}1
+ ;;
+ -d*)
+ shift
+ description=${D}1
+ ;;
+ -f*)
+ shift
+ CFLAGS=${D}1
+ ;;
+ -c*)
+ shift
+ CC=${D}1
+ ;;
+ -h*)
+ PrintHelp
+ ;;
+ -ex*)
+ shift
+ exclude_symbols=${D}{exclude_symbols}${D}1" "
+ ;;
+ -libf*)
+ shift
+ library_flags=${D}{library_flags}${D}1" "
+ ;;
+ -nocrt*)
+ CFLAGS="-s"
+ ;;
+ -nolxl*)
+ flag_USE_LXLITE=0
+ ;;
+ -* | /*)
+ case ${D}1 in
+ -L* | -l*)
+ libsToLink=1
+ ;;
+ -Zomf)
+ omfLinking=1
+ ;;
+ *)
+ ;;
+ esac
+ EXTRA_CFLAGS=${D}{EXTRA_CFLAGS}" "${D}1
+ ;;
+ *.dll)
+ EXTRA_CFLAGS="${D}{EXTRA_CFLAGS} \`basnam ${D}1 .dll\`"
+ if @<:@ ${D}omfLinking -eq 1 @:>@; then
+ EXTRA_CFLAGS="${D}{EXTRA_CFLAGS}.lib"
+ else
+ EXTRA_CFLAGS="${D}{EXTRA_CFLAGS}.a"
+ fi
+ ;;
+ *)
+ found=0;
+ if @<:@ ${D}libsToLink -ne 0 @:>@; then
+ EXTRA_CFLAGS=${D}{EXTRA_CFLAGS}" "${D}1
+ else
+ for file in ${D}1 ; do
+ if @<:@ -f ${D}file @:>@; then
+ inputFiles="${D}{inputFiles} ${D}file"
+ found=1
+ fi
+ done
+ if @<:@ ${D}found -eq 0 @:>@; then
+ echo "ERROR: No file(s) found: "${D}1
+ exit 8
+ fi
+ fi
+ ;;
+ esac
+ shift
+done # iterate cmdline words
+
+#
+if @<:@ -z "${D}inputFiles" @:>@; then
+ echo "dllar: no input files"
+ PrintHelp
+fi
+
+# Now extract all .o files from .a files
+newInputFiles=""
+for file in ${D}inputFiles ; do
+ case ${D}file in
+ *.a | *.lib)
+ case ${D}file in
+ *.a)
+ suffix=".a"
+ AR="ar"
+ ;;
+ *.lib)
+ suffix=".lib"
+ AR="emxomfar"
+ EXTRA_CFLAGS="${D}EXTRA_CFLAGS -Zomf"
+ ;;
+ *)
+ ;;
+ esac
+ dirname=\`basnam ${D}file ${D}suffix\`"_%"
+ mkdir ${D}dirname
+ if @<:@ ${D}? -ne 0 @:>@; then
+ echo "Failed to create subdirectory ./${D}dirname"
+ CleanUp
+ exit 8;
+ fi
+ # Append '!' to indicate archive
+ newInputFiles="${D}newInputFiles ${D}{dirname}!"
+ doCommand "cd ${D}dirname; ${D}AR x ../${D}file"
+ cd ${D}curDir
+ found=0;
+ for subfile in ${D}dirname/*.o* ; do
+ if @<:@ -f ${D}subfile @:>@; then
+ found=1
+ if @<:@ -s ${D}subfile @:>@; then
+ # FIXME: This should be: is file size > 32 byte, _not_ > 0!
+ newInputFiles="${D}newInputFiles ${D}subfile"
+ fi
+ fi
+ done
+ if @<:@ ${D}found -eq 0 @:>@; then
+ echo "WARNING: there are no files in archive \\'${D}file\\'"
+ fi
+ ;;
+ *)
+ newInputFiles="${D}{newInputFiles} ${D}file"
+ ;;
+ esac
+done
+inputFiles="${D}newInputFiles"
+
+# Output filename(s).
+do_backup=0;
+if @<:@ -z ${D}outFile @:>@; then
+ do_backup=1;
+ set outFile ${D}inputFiles; outFile=${D}2
+fi
+
+# If it is an archive, remove the '!' and the '_%' suffixes
+case ${D}outFile in
+*_%!)
+ outFile=\`basnam ${D}outFile _%!\`
+ ;;
+*)
+ ;;
+esac
+case ${D}outFile in
+*.dll)
+ outFile=\`basnam ${D}outFile .dll\`
+ ;;
+*.DLL)
+ outFile=\`basnam ${D}outFile .DLL\`
+ ;;
+*.o)
+ outFile=\`basnam ${D}outFile .o\`
+ ;;
+*.obj)
+ outFile=\`basnam ${D}outFile .obj\`
+ ;;
+*.a)
+ outFile=\`basnam ${D}outFile .a\`
+ ;;
+*.lib)
+ outFile=\`basnam ${D}outFile .lib\`
+ ;;
+*)
+ ;;
+esac
+case ${D}outimpFile in
+*.a)
+ outimpFile=\`basnam ${D}outimpFile .a\`
+ ;;
+*.lib)
+ outimpFile=\`basnam ${D}outimpFile .lib\`
+ ;;
+*)
+ ;;
+esac
+if @<:@ -z ${D}outimpFile @:>@; then
+ outimpFile=${D}outFile
+fi
+defFile="${D}{outFile}.def"
+arcFile="${D}{outimpFile}.a"
+arcFile2="${D}{outimpFile}.lib"
+
+#create ${D}dllFile as something matching 8.3 restrictions,
+if @<:@ -z ${D}renameScript @:>@ ; then
+ dllFile="${D}outFile"
+else
+ dllFile=\`${D}renameScript ${D}outimpFile\`
+fi
+
+if @<:@ ${D}do_backup -ne 0 @:>@ ; then
+ if @<:@ -f ${D}arcFile @:>@ ; then
+ doCommand "mv ${D}arcFile ${D}{outFile}_s.a"
+ fi
+ if @<:@ -f ${D}arcFile2 @:>@ ; then
+ doCommand "mv ${D}arcFile2 ${D}{outFile}_s.lib"
+ fi
+fi
+
+# Extract public symbols from all the object files.
+tmpdefFile=${D}{defFile}_%
+rm -f ${D}tmpdefFile
+for file in ${D}inputFiles ; do
+ case ${D}file in
+ *!)
+ ;;
+ *)
+ doCommand "emxexp -u ${D}file >> ${D}tmpdefFile"
+ ;;
+ esac
+done
+
+# Create the def file.
+rm -f ${D}defFile
+echo "LIBRARY \`basnam ${D}dllFile\` ${D}library_flags" >> ${D}defFile
+dllFile="${D}{dllFile}.dll"
+if @<:@ ! -z ${D}description @:>@; then
+ echo "DESCRIPTION \\"${D}{description}\\"" >> ${D}defFile
+fi
+echo "EXPORTS" >> ${D}defFile
+
+doCommand "cat ${D}tmpdefFile | sort.exe | uniq.exe > ${D}{tmpdefFile}%"
+grep -v "^ *;" < ${D}{tmpdefFile}% | grep -v "^ *${D}" >${D}tmpdefFile
+
+# Checks if the export is ok or not.
+for word in ${D}exclude_symbols; do
+ grep -v ${D}word < ${D}tmpdefFile >${D}{tmpdefFile}%
+ mv ${D}{tmpdefFile}% ${D}tmpdefFile
+done
+
+
+if @<:@ ${D}EXPORT_BY_ORDINALS -ne 0 @:>@; then
+ sed "=" < ${D}tmpdefFile | \\
+ sed '
+ N
+ : loop
+ s/^\\(@<:@0-9@:>@\\+\\)\\(@<:@^;@:>@*\\)\\(;.*\\)\\?/\\2 @\\1 NONAME/
+ t loop
+ ' > ${D}{tmpdefFile}%
+ grep -v "^ *${D}" < ${D}{tmpdefFile}% > ${D}tmpdefFile
+else
+ rm -f ${D}{tmpdefFile}%
+fi
+cat ${D}tmpdefFile >> ${D}defFile
+rm -f ${D}tmpdefFile
+
+# Do linking, create implib, and apply lxlite.
+gccCmdl="";
+for file in ${D}inputFiles ; do
+ case ${D}file in
+ *!)
+ ;;
+ *)
+ gccCmdl="${D}gccCmdl ${D}file"
+ ;;
+ esac
+done
+doCommand "${D}CC ${D}CFLAGS -Zdll -o ${D}dllFile ${D}defFile ${D}gccCmdl ${D}EXTRA_CFLAGS"
+touch "${D}{outFile}.dll"
+
+doCommand "emximp -o ${D}arcFile ${D}defFile"
+if @<:@ ${D}flag_USE_LXLITE -ne 0 @:>@; then
+ add_flags="";
+ if @<:@ ${D}EXPORT_BY_ORDINALS -ne 0 @:>@; then
+ add_flags="-ynd"
+ fi
+ doCommand "lxlite -cs -t: -mrn -mln ${D}add_flags ${D}dllFile"
+fi
+doCommand "emxomf -s -l ${D}arcFile"
+
+# Successful exit.
+CleanUp 1
+exit 0
+EOF
+dnl ===================== dllar.sh ends here =====================
+])
+
+dnl
+dnl This file is part of Bakefile (http://www.bakefile.org)
+dnl
+dnl Copyright (C) 2003-2007 Vaclav Slavik, David Elliott and others
+dnl
+dnl Permission is hereby granted, free of charge, to any person obtaining a
+dnl copy of this software and associated documentation files (the "Software"),
+dnl to deal in the Software without restriction, including without limitation
+dnl the rights to use, copy, modify, merge, publish, distribute, sublicense,
+dnl and/or sell copies of the Software, and to permit persons to whom the
+dnl Software is furnished to do so, subject to the following conditions:
+dnl
+dnl The above copyright notice and this permission notice shall be included in
+dnl all copies or substantial portions of the Software.
+dnl
+dnl THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+dnl IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+dnl FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
+dnl THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+dnl LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+dnl FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
+dnl DEALINGS IN THE SOFTWARE.
+dnl
+dnl $Id: bakefile-lang.m4 1278 2008-11-17 22:26:10Z vadz $
+dnl
+dnl Compiler detection macros by David Elliott and Vadim Zeitlin
+dnl
+
+
+dnl ===========================================================================
+dnl Macros to detect different C/C++ compilers
+dnl ===========================================================================
+
+dnl Based on autoconf _AC_LANG_COMPILER_GNU
+dnl _AC_BAKEFILE_LANG_COMPILER(NAME, LANG, SYMBOL, IF-YES, IF-NO)
+AC_DEFUN([_AC_BAKEFILE_LANG_COMPILER],
+[
+ AC_LANG_PUSH($2)
+ AC_CACHE_CHECK(
+ [whether we are using the $1 $2 compiler],
+ [bakefile_cv_[]_AC_LANG_ABBREV[]_compiler_[]$3],
+ [AC_TRY_COMPILE(
+ [],
+ [
+ #ifndef $3
+ choke me
+ #endif
+ ],
+ [bakefile_cv_[]_AC_LANG_ABBREV[]_compiler_[]$3=yes],
+ [bakefile_cv_[]_AC_LANG_ABBREV[]_compiler_[]$3=no]
+ )
+ ]
+ )
+ if test "x$bakefile_cv_[]_AC_LANG_ABBREV[]_compiler_[]$3" = "xyes"; then
+ :; $4
+ else
+ :; $5
+ fi
+ AC_LANG_POP($2)
+])
+
+dnl More specific version of the above macro checking whether the compiler
+dnl version is at least the given one (assumes that we do use this compiler)
+dnl
+dnl _AC_BAKEFILE_LANG_COMPILER_LATER_THAN(NAME, LANG, SYMBOL, VER, VERMSG, IF-YES, IF-NO)
+AC_DEFUN([_AC_BAKEFILE_LANG_COMPILER_LATER_THAN],
+[
+ AC_LANG_PUSH($2)
+ AC_CACHE_CHECK(
+ [whether we are using $1 $2 compiler v$5 or later],
+ [bakefile_cv_[]_AC_LANG_ABBREV[]_compiler_[]$3[]_lt_[]$4],
+ [AC_TRY_COMPILE(
+ [],
+ [
+ #ifndef $3 || $3 < $4
+ choke me
+ #endif
+ ],
+ [bakefile_cv_[]_AC_LANG_ABBREV[]_compiler_[]$3[]_lt_[]$4=yes],
+ [bakefile_cv_[]_AC_LANG_ABBREV[]_compiler_[]$3[]_lt_[]$4=no]
+ )
+ ]
+ )
+ if test "x$bakefile_cv_[]_AC_LANG_ABBREV[]_compiler_[]$3[]_lt_[]$4" = "xyes"; then
+ :; $6
+ else
+ :; $7
+ fi
+ AC_LANG_POP($2)
+])
+
+dnl CodeWarrior Metrowerks compiler defines __MWERKS__ for both C and C++
+AC_DEFUN([AC_BAKEFILE_PROG_MWCC],
+[
+ _AC_BAKEFILE_LANG_COMPILER(Metrowerks, C, __MWERKS__, MWCC=yes)
+])
+
+AC_DEFUN([AC_BAKEFILE_PROG_MWCXX],
+[
+ _AC_BAKEFILE_LANG_COMPILER(Metrowerks, C++, __MWERKS__, MWCXX=yes)
+])
+
+dnl IBM xlC compiler defines __xlC__ for both C and C++
+AC_DEFUN([AC_BAKEFILE_PROG_XLCC],
+[
+ _AC_BAKEFILE_LANG_COMPILER([IBM xlC], C, __xlC__, XLCC=yes)
+])
+
+AC_DEFUN([AC_BAKEFILE_PROG_XLCXX],
+[
+ _AC_BAKEFILE_LANG_COMPILER([IBM xlC], C++, __xlC__, XLCXX=yes)
+])
+
+dnl recent versions of SGI mipsPro compiler define _SGI_COMPILER_VERSION
+dnl
+dnl NB: old versions define _COMPILER_VERSION but this could probably be
+dnl defined by other compilers too so don't test for it to be safe
+AC_DEFUN([AC_BAKEFILE_PROG_SGICC],
+[
+ _AC_BAKEFILE_LANG_COMPILER(SGI, C, _SGI_COMPILER_VERSION, SGICC=yes)
+])
+
+AC_DEFUN([AC_BAKEFILE_PROG_SGICXX],
+[
+ _AC_BAKEFILE_LANG_COMPILER(SGI, C++, _SGI_COMPILER_VERSION, SGICXX=yes)
+])
+
+dnl Sun compiler defines __SUNPRO_C/__SUNPRO_CC
+AC_DEFUN([AC_BAKEFILE_PROG_SUNCC],
+[
+ _AC_BAKEFILE_LANG_COMPILER(Sun, C, __SUNPRO_C, SUNCC=yes)
+])
+
+AC_DEFUN([AC_BAKEFILE_PROG_SUNCXX],
+[
+ _AC_BAKEFILE_LANG_COMPILER(Sun, C++, __SUNPRO_CC, SUNCXX=yes)
+])
+
+dnl Intel icc compiler defines __INTEL_COMPILER for both C and C++
+AC_DEFUN([AC_BAKEFILE_PROG_INTELCC],
+[
+ _AC_BAKEFILE_LANG_COMPILER(Intel, C, __I...
[truncated message content] |